Page MenuHomeFreeBSD

audio/audacity: fix build on non-x86
ClosedPublic

Authored by pkubaj on May 27 2019, 6:00 AM.

Details

Summary

Audacity by default adds --enable-sse on all architectures, which breaks anything but i386 and amd64. Add SSE option to every architecture, but still enable by default only on amd64 and i386. This will add --disable-sse to CONFIGURE_ARGS, which fixes build.

PR: 238140

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pkubaj created this revision.May 27 2019, 6:00 AM
tcberner accepted this revision.Jun 1 2019, 5:21 PM

Looks good to me. Maybe you should think of also marking that option broken on on non x86ish archs.

This revision is now accepted and ready to land.Jun 1 2019, 5:21 PM
pkubaj added a comment.Jun 3 2019, 8:44 AM

Looks good to me. Maybe you should think of also marking that option broken on on non x86ish archs.

There doesn't seem to be a way to an option as broken on everything but two architectures (except for several BROKEN entries, each one for each architecture) so I'm leaving it as is.

This revision was automatically updated to reflect the committed changes.